com.independentsoft.exchange

## Enum LegacyFreeBusy

- java.lang.Object
- - java.lang.Enum<LegacyFreeBusy>
  - - com.independentsoft.exchange.LegacyFreeBusy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LegacyFreeBusy>

      public enum LegacyFreeBusy
      extends java.lang.Enum<LegacyFreeBusy>

  Represents the free/busy status of the calendar item.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSY` The time slot that is associated with the appointment appears as busy.
    `FREE` The time slot that is associated with the appointment appears as free.
    `NO_DATA` No free/busy status is associated with the appointment.
    `NONE` None.
    `OUT_OF_OFFICE` The time slot that is associated with the appointment appears as out of office (OOF).
    `TENTATIVE` The time slot that is associated with the appointment appears as tentative.
    `WORKING_ELSEWHERE` Specifies the status as working outside the office.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LegacyFreeBusy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LegacyFreeBusy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FREE

          public static final LegacyFreeBusy FREE

      The time slot that is associated with the appointment appears as free.

    - #### TENTATIVE

          public static final LegacyFreeBusy TENTATIVE

      The time slot that is associated with the appointment appears as tentative.

    - #### BUSY

          public static final LegacyFreeBusy BUSY

      The time slot that is associated with the appointment appears as busy.

    - #### OUT_OF_OFFICE

          public static final LegacyFreeBusy OUT_OF_OFFICE

      The time slot that is associated with the appointment appears as out of office (OOF).

    - #### NO_DATA

          public static final LegacyFreeBusy NO_DATA

      No free/busy status is associated with the appointment.

    - #### WORKING_ELSEWHERE

          public static final LegacyFreeBusy WORKING_ELSEWHERE

      Specifies the status as working outside the office.

    - #### NONE

          public static final LegacyFreeBusy NONE

      None.

  - ### Method Detail

    - #### values

          public static LegacyFreeBusy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LegacyFreeBusy c : LegacyFreeBusy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LegacyFreeBusy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null